mlbench.smiley {mlbench} | R Documentation

## The Smiley

### Description

The smiley consists of 2 Gaussian eyes, a trapezoid nose and a parabula mouth (with vertical Gaussian noise).

### Usage

    mlbench.smiley(n=500, sd1 = 0.1, sd2 = 0.05)

### Arguments

`n` | number of patterns to create
`sd1` | standard deviation for eyes
`sd2` | standard deviation for mouth

### Value

Returns an object of class `"mlbench.smiley"` with components

`x` | input values
`classes` | factor vector of length `n` with target classes

### Examples

    p<-mlbench.smiley()
    plot(p)

[Package mlbench version 2.1-1 Index]